diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index a43be66..b57384f 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -61203,7 +61203,7 @@ MultipleMap(R1,UP1,UPUP1,R2,UP2,UPUP2): Exports == Implementation where
     rfmap(f, q) == map(f, numer q) / map(f, denom q)
 
     map(f, p) ==
-      map(rfmap(f, #1),
+      map(x +-> rfmap(f,x),
           p)$UnivariatePolynomialCategoryFunctions2(Q1, UPUP1, Q2, UPUP2)
 
 @
@@ -61538,8 +61538,8 @@ MultivariateLifting(E,OV,R,P) : C == T
       a:P:= fval.first ::P
       y:OV:=lvar.first
       lvar:=lvar.rest
-      listpolv:L SUP := [map(eval(#1,y,a),f1) for f1 in flist]
-      um:=map(eval(#1,y,a),m)
+      listpolv:L SUP := [map((p1:P):P +-> eval(p1,y,a),f1) for f1 in flist]
+      um:=map((p1:P):P +-> eval(p1,y,a),m)
       flcoef:=corrPoly(um,lvar,fval.rest,ld.rest,listpolv,table,pmod)
       if flcoef case "failed" then return "failed"
       else lcoef:=flcoef :: L SUP
@@ -61550,16 +61550,15 @@ MultivariateLifting(E,OV,R,P) : C == T
       for l in 1..deg1 repeat
         if diff=0 then return lcoef
         pol := pol*polc
-        (ddiff:= map(eval(normalDerivM(#1,l,y),y,a),diff)) = 0 => "next l"
+        (ddiff:=map((p:P):P+->eval(normalDerivM(p,l,y),y,a),diff)) = 0
+              => "next l"
         fbeta := corrPoly(ddiff,lvar,fval.rest,ld.rest,listpolv,table,pmod)
         if fbeta case "failed" then return "failed"
         else beta:=fbeta :: L SUP
         lcoef := [lcoef.i+beta.i*pol  for i in 1..np]
         diff:=diff- +/[listcong.i*beta.i for i in 1..np]*pol
       lcoef
- 
- 
- 
+  
     lifting1(m:SUP,lvar:L OV,plist:L SUP,vlist:L R,tlist:L P,_
       coeflist:L VTerm,listdeg:L NNI,table:Table,pmod:R) :Union(L SUP,"failed") ==
     -- The factors of m (multivariate) are determined ,
@@ -61600,7 +61599,7 @@ MultivariateLifting(E,OV,R,P) : C == T
           if not(empty? coeflist) then
             plist:=[subscoef(tpol,clist)
                    for tpol in plist for clist in clv]
-        mj := map(eval(#1,li,vlist),m)  --m(x1,..,xj,aj+1,..,an
+        mj := map((p1:P):P+->eval(p1,li,vlist),m)  --m(x1,..,xj,aj+1,..,an
         polc := x::P - v::P  --(xj-aj)
         pol:= 1$P
       --Construction of Rik, k in 1..right degree for xj+1
@@ -61609,8 +61608,8 @@ MultivariateLifting(E,OV,R,P) : C == T
          mc := */[term for term in plist]-mj
          if mc=0 then leave "next var"
          --Modulus Dk
-         mc:=map(normalDerivM(#1,k,x),mc)
-         (mc := map(eval(#1,[x],[v]),mc))=0 => "next k"
+         mc:=map((p1:P):P +-> normalDerivM(p1,k,x),mc)
+         (mc := map((p1:P):P +-> eval(p1,[x],[v]),mc))=0 => "next k"
          flalpha:=corrPoly(mc,subsvar.rest,subsval.rest,
                           ldeg.rest,conglist,table,pmod)
          if flalpha case "failed" then return "failed"
@@ -61829,7 +61828,7 @@ MultivariateSquareFree (E,OV,R,P) : C == T where
        sqlc:=squareFree lcf
        unitsq:=unitsq*(unit sqlc)
        sqlead:= factors sqlc
-     lfact:=sort(#1.exponent > #2.exponent,lfact)
+     lfact:=sort((z1:FFE,z2:FFE):Boolean +-> z1.exponent > z2.exponent,lfact)
      while lfact^=[] repeat
        pfact:=lfact.first
        (g0,exp0):=(pfact.factor,pfact.exponent)
diff --git a/changelog b/changelog
index 402e7a3..6706093 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090608 tpd src/axiom-website/patches.html 20090608.08.tpd.patch
+20090608 tpd books/bookvol10.4 MULTSQFR +-> conversion
 20090608 tpd src/axiom-website/patches.html 20090608.07.tpd.patch
 20090608 tpd books/bookvol10.4 MFINFACT +-> conversion
 20090608 tpd src/axiom-website/patches.html 20090608.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1da4ee9..b8cc1e5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1507,7 +1507,9 @@ bookvol10.4 MDDFACT +-> conversion<br/>
 bookvol10.4 MHROWRED +-> conversion<br/>
 <a href="patches/20090608.06.tpd.patch">20090608.06.tpd.patch</a>
 bookvol10.4 MPRFF +-> conversion<br/>
-<a href="patches/20090608.06.tpd.patch">20090608.07.tpd.patch</a>
+<a href="patches/20090608.07.tpd.patch">20090608.07.tpd.patch</a>
 bookvol10.4 MFINFACT +-> conversion<br/>
+<a href="patches/20090608.08.tpd.patch">20090608.08.tpd.patch</a>
+bookvol10.4 MULTSQFR +-> conversion<br/>
  </body>
 </html>
